List action types
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/action-typesimport requests
url = "https://staging.api.us.aptlydone.com/settings/v1/action-types"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.api.us.aptlydone.com/settings/v1/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/settings/v1/action-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/settings/v1/action-types"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/settings/v1/action-types")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/settings/v1/action-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.788Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "101c8f60-237f-4b8b-aa5f-d38ba764bc24",
"tenantId": "8b9add9e-fb17-4e9d-b97f-3dfe6f5cd197",
"type": "email",
"typeIcon": "mail",
"status": true,
"isCustom": true,
"isDeleted": false,
"deletedAt": "2024-01-12T00:00:00.000Z",
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
}
]
}
}Actions
List action types
GET
/
v1
/
action-types
List action types
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/action-typesimport requests
url = "https://staging.api.us.aptlydone.com/settings/v1/action-types"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.api.us.aptlydone.com/settings/v1/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/settings/v1/action-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/settings/v1/action-types"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/settings/v1/action-types")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/settings/v1/action-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.788Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "101c8f60-237f-4b8b-aa5f-d38ba764bc24",
"tenantId": "8b9add9e-fb17-4e9d-b97f-3dfe6f5cd197",
"type": "email",
"typeIcon": "mail",
"status": true,
"isCustom": true,
"isDeleted": false,
"deletedAt": "2024-01-12T00:00:00.000Z",
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
}
]
}
}Query Parameters
Page number
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 100Example:
10
Tenant ID
Example:
"b4e6469e-1145-483c-98bb-e5eafd611b18"
Search by type name
Example:
"email"
Filter by status
Example:
true
Field to sort by
Example:
"id"
Sort order (asc/desc)
Available options:
asc, desc Example:
"asc"
Was this page helpful?